gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasShape Base class for rectangle and ellipse items

This forms a base class for rectangle and ellipse canvas items.

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  a
  a
  To be added
  To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("x1")
  System.Double Leftmost coordinate of rectangle or ellipse. Leftmost coordinate of rectangle or ellipse.
- Property
  2.24.0.0
  GLib.Property("x2")
  System.Double Rightmost coordinate of rectangle or ellipse. Rightmost coordinate of rectangle or ellipse.
- Property
  2.24.0.0
  GLib.Property("y1")
  System.Double Topmost coordinate of rectangle or ellipse. Topmost coordinate of rectangle or ellipse.
- Property
  2.24.0.0
  GLib.Property("y2")
  System.Double Bottommost coordinate of rectangle or ellipse. Bottommost coordinate of rectangle or ellipse.